/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/general_styling.scss';
@import 'css/_variables.scss';

.p-createProject {
  &__container {
    display: grid;
    grid-template-rows: calc(100vh - #{$header-height} - #{$create-project-footer-height}) $create-project-footer-height;
    height: 100%;
    position: relative;
    width: 100%;
  }
  &__footerButtons {
    position: sticky;
    bottom: 0;
  }
}

.HtmlEditor {
  .quill {
    display: flex;
    flex-direction: column-reverse;
    border: 1px solid $border;
    margin-top: 1em;
    border-radius: 4px;
    span {
      color: $on-surface;
    }
  }
  .ql-toolbar.ql-snow .ql-picker.ql-expanded .ql-picker-label,
  .ql-snow .ql-stroke {
    stroke: $primary-color;
    color: $primary-color;
  }
  .ql-snow.ql-toolbar button {
    color: $primary-color;
    &:hover {
      color: $secondary-color;
    }
  }

  .ql-toolbar.ql-snow {
    border: none;
  }
  .ql-container.ql-snow {
    height: 50vh;
    border: none;
    border-bottom: 1px solid $border;
  }
  p {
    margin-bottom: 1em;
  }
}
